<?php
/**
*
* @package luzuk Premium
*/
if(get_theme_mod('about_area_disable') != 'on' ){ ?>
		
<div class="about-area" id="about">		
	<?php
		// width 
		$c_width = get_theme_mod('abt_c_width', 'container');

	    if ($c_width === 'container') {
		    $c_alignment = 'container';
		} elseif ($c_width === 'container-fluid') {
		    $c_alignment = 'container-fluid';
		} else {
		    $text_alignment = 'container'; // Default to 'container' if the setting is invalid
		}

		// Sub Heading Style
    	$subheading_case = get_theme_mod('abt_subhead_case', 'capitalize');

	    if ($subheading_case === 'uppercase') {
			$text_case = 'uppercase';
		} elseif ($subheading_case === 'lowercase') {
		    $text_case = 'lowercase';
		} elseif ($subheading_case === 'capitalize') {
		    $text_case = 'capitalize';
		} else {
		    $text_case = 'uppercase'; // Default to 'left' if the setting is invalid
		}

		// Heading Style
    	$heading_case = get_theme_mod('abt_maintitle_case', 'uppercase');

	    if ($heading_case === 'uppercase') {
			$text_case = 'uppercase';
		} elseif ($heading_case === 'lowercase') {
		    $text_case = 'lowercase';
		} elseif ($heading_case === 'capitalize') {
		    $text_case = 'capitalize';
		} else {
		    $text_case = 'uppercase'; // Default to 'left' if the setting is invalid
		}

    ?>
	<?php
		$about_page_id = get_theme_mod('about_page');
		
		$about_subHeading = get_theme_mod('about_subHeading', 'About Us');
		$abt_heading = get_theme_mod('abt_heading', 'We Provide The Best Solar Energy Solution');
		$abouttext = get_theme_mod('about_text', "The solar solution company specializes in providing innovative, eco-friendly energy systems that harness the sun's power, reducing carbon footprints and energy costs for residential, commercial, and industrial clients worldwide.");		
		$sec_list = get_theme_mod('sec_list', '<li>Renewable Energy Source</li>
<li>Energy Independence</li>
<li>Low Maintenance Costs</li>
<li>Environmentally Friendly</li>
<li>Technological Advancement</li>
<li>Increased Property Value</li>');		
	?>		
	<?php if( get_theme_mod('abtstar_display','show' ) == 'show') :?> 
	<div class="abtstr"></div>
	<?php endif ?>
	<div class="<?php echo esc_attr($c_width); ?>">		
		<div class="row mr-0">
			<div class=" imgbx ">	
				<?php if( get_theme_mod('tpimgbx_display','show' ) == 'show') :?> 
				<div class="about-head">
					<?php 
						$about_head = get_theme_mod('about_head');
						if(!empty($about_head)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_head).'" class="img-responsive secondry-bg-img" />';
						}else{
							echo '<img src="'.get_template_directory_uri().'/images/abthead.jpg" class="img-responsive" />';
						}
					?>	
				</div>
				<?php endif ?>
				<div class="about-img1">
					<?php 
						$about_image2 = get_theme_mod('about_image2');
						if(!empty($about_image2)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image2).'" class="img-responsive secondry-bg-img" />';
						}else{
							echo '<img src="'.get_template_directory_uri().'/images/abt3.jpg" class="img-responsive" />';
						}
					?>	
				</div>							
				
				<?php if( get_theme_mod('btmimgbx_display','show' ) == 'show') :?> 
				<div class="about-img2">
					<?php 
						$about_image3 = get_theme_mod('about_image3');
						if(!empty($about_image3)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image3).'" class="img-responsive secondry-bg-img" />';
						}else{
							echo '<img src="'.get_template_directory_uri().'/images/abt2.jpg" class="img-responsive" />';
						}
					?>	
				</div>	
				<?php endif ?>	
				<?php	
					$abt_num = get_theme_mod('abt_num', '25+');
					$abt_exptxt = get_theme_mod('abt_exptxt', 'Years Of Experience');				
				?>	
				<?php if( get_theme_mod('yearbx_display','show' ) == 'show') :?> 
				<div class="expbx">
					<?php if($abt_num ){ ?>
					<div class="num"><i class="fa-solid fa-star-of-david"></i><?php echo ($abt_num); ?></div>
					<?php }?>
					<div class="extxt"><?php echo ($abt_exptxt); ?> </div>
				</div>
				<?php endif ?>
					
			</div>
			<div class="abtbx " data-wow-duration="1s">	
				<div class="section-title">				
					<div class="titlebx">
						<div class="sub_title" style="text-transform: <?php echo esc_attr($subheading_case); ?>; "><?php echo ($about_subHeading); ?></div>					
						<h3 style=" text-transform: <?php echo esc_attr($heading_case); ?>;"><?php echo ($abt_heading); ?></h3>
						<p>	<?php echo ($abouttext); ?>	</p>
					</div>			
					<div class="clearfix"></div>		
				</div>
				<div class="sec_txt " style="text-transform: <?php echo esc_attr($subheading_case); ?>; ">
					<?php echo ($sec_list); ?>
				</div>
				<?php	
					$abtbtn_text = get_theme_mod('abtbtn_text', 'Learn More');
					$abtnlink = get_theme_mod('abtnlink', '#');
				?>			
				<?php if($abtbtn_text ){ ?>
				<div class="bttn">
					<a href="<?php echo ($abtnlink);  ?>" >
                    	<?php echo($abtbtn_text); ?> 
					</a>	
				</div>
				<?php }?>
			</div>	
		</div>
		<div class="clearfix"></div>
	</div>
</div>

<?php }  